Index: XIOS/dev/branch_yushan/src/filter/store_filter.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/filter/store_filter.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/filter/store_filter.cpp	(revision 1037)
@@ -8,5 +8,4 @@
   CStoreFilter::CStoreFilter(CGarbageCollector& gc, CContext* context, CGrid* grid)
     : CInputPin(gc, 1)
-    , gc(gc)
     , context(context)
     , grid(grid)
@@ -24,11 +23,8 @@
     CTimer timer("CStoreFilter::getPacket");
     CConstDataPacketPtr packet;
-    const double timeout = CXios::recvFieldTimeout;
+    const double timeout = 10; // 10 seconds timeout
 
     do
     {
-      if (canBeTriggered())
-        trigger(timestamp);
-
       timer.resume();
 
@@ -43,12 +39,7 @@
 
     if (!packet)
-    {
-      std::map<Time, CDataPacketPtr>::const_iterator it ;
-      info(0)<<"Impossible to get the packet with timestamp = " << timestamp<<std::endl<<"Available timestamp are : "<<std::endl ;
-      for(it=packets.begin();it!=packets.end();++it) info(0)<<it->first<<"  ";
-      info(0)<<std::endl ;
       ERROR("CConstDataPacketPtr CStoreFilter::getPacket(Time timestamp) const",
             << "Impossible to get the packet with timestamp = " << timestamp);
-    }
+
     return packet;
   }
@@ -78,5 +69,5 @@
     // The packet is always destroyed by the garbage collector
     // so we register but never unregister
-    gc.registerObject(this, data[0]->timestamp);
+    gc.registerFilter(this, data[0]->timestamp);
   }
 
Index: XIOS/dev/branch_yushan/src/filter/store_filter.hpp
===================================================================
--- XIOS/dev/branch_yushan/src/filter/store_filter.hpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/filter/store_filter.hpp	(revision 1037)
@@ -65,5 +65,4 @@
 
     private:
-      CGarbageCollector& gc; //!< The garbage collector associated to the filter
       CContext* context; //!< The context to which the data belongs
       CGrid* grid; //!< The grid attached to the data the filter can accept
Index: XIOS/dev/branch_yushan/src/filter/temporal_filter.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/filter/temporal_filter.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/filter/temporal_filter.cpp	(revision 1037)
@@ -15,6 +15,4 @@
     , isFirstOperation(true)
   {
-    double defaultValue = ignoreMissingValue ? std::numeric_limits<double>::quiet_NaN() : missingValue;
-    
 #define DECLARE_FUNCTOR(MType, mtype) \
     if (opId.compare(#mtype) == 0) \
@@ -22,5 +20,5 @@
       if (ignoreMissingValue) \
       { \
-        functor.reset(new func::C##MType(tmpData, defaultValue)); \
+        functor.reset(new func::C##MType(tmpData, missingValue)); \
       } \
       else \
Index: XIOS/dev/branch_yushan/src/functor/accumulate.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/functor/accumulate.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/functor/accumulate.cpp	(revision 1037)
@@ -1,5 +1,4 @@
 #include "accumulate.hpp"
 #include "array_new.hpp"
-#include "utils.hpp"
 
 namespace xios
@@ -34,7 +33,7 @@
             double* out=_doutput.dataFirst();
             for (i=0; i<n; ++i,++in,++out) 
-              if (!NumTraits<double>::isnan(*in))
+              if (*in!=missingValue)
               {
-                if(!NumTraits<double>::isnan(*out)) *out  += *in;
+                if(*out!=missingValue) *out  += *in;
                 else *out=*in ;
               }
Index: XIOS/dev/branch_yushan/src/functor/average.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/functor/average.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/functor/average.cpp	(revision 1037)
@@ -1,5 +1,4 @@
 #include "average.hpp"
 #include "array_new.hpp"
-#include "utils.hpp"
 
 namespace xios
@@ -43,5 +42,5 @@
             int* nc=nbcalls.dataFirst() ;
             for (i=0; i<n; ++i,++nc,++in) 
-              if (!NumTraits<double>::isnan(*in)) (*nc) ++;
+              if (*in!=missingValue) (*nc) ++;
           }
         }
@@ -55,5 +54,5 @@
             int* nc=nbcalls.dataFirst() ;
             for (i=0; i<n; ++i,++in,++out,++nc) 
-              if (!NumTraits<double>::isnan(*in)) 
+              if (*in!=missingValue) 
               {
                 if (*nc != 0) (*out)  += *in;
Index: XIOS/dev/branch_yushan/src/functor/maximum.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/functor/maximum.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/functor/maximum.cpp	(revision 1037)
@@ -1,5 +1,6 @@
 #include "maximum.hpp"
 #include "array_new.hpp"
-#include "utils.hpp"
+
+
 
 namespace xios
@@ -34,7 +35,7 @@
            { 
              for (; it1 != end1; it1++, it++) 
-               if (!NumTraits<double>::isnan(*it1))
+               if (*it1 != missingValue)
                {
-                 if (!NumTraits<double>::isnan(*it)) *it = std::max(*it1, *it);
+                 if ( *it != missingValue) *it = std::max(*it1, *it);
                  else *it=*it1 ;  
                }
Index: XIOS/dev/branch_yushan/src/functor/minimum.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/functor/minimum.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/functor/minimum.cpp	(revision 1037)
@@ -2,5 +2,4 @@
 #include "array_new.hpp"
 #include <algorithm>
-#include "utils.hpp"
 
 namespace xios
@@ -27,5 +26,5 @@
       {
         const double * it1  = _dinput.dataFirst(),
-                      *end1 = _dinput.dataFirst() + _dinput.numElements();
+                      * end1 = _dinput.dataFirst() + _dinput.numElements();
         double * it   = _doutput.dataFirst();
         
@@ -36,7 +35,7 @@
           { 
             for (; it1 != end1; it1++, it++) 
-              if (!NumTraits<double>::isnan(*it1))
+              if (*it1!=missingValue)
               {
-                if (!NumTraits<double>::isnan(*it)) *it = std::min(*it1, *it);
+                if (*it != missingValue) *it = std::min(*it1, *it);
                 else *it=*it1 ;
               }
Index: XIOS/dev/branch_yushan/src/interface/c/icdata.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/interface/c/icdata.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/c/icdata.cpp	(revision 1037)
@@ -11,5 +11,5 @@
 
 #include "xios.hpp"
-#include "oasis_cinterface.hpp"
+//#include "oasis_cinterface.hpp"
 
 #include "attribute_template.hpp"
@@ -27,5 +27,4 @@
 #include "array_new.hpp"
 
-
 extern "C"
 {
@@ -57,4 +56,6 @@
       MPI_Comm local_comm;
       MPI_Comm return_comm;
+      
+      fc_comm_map.clear();
 
       if (!cstr2string(client_id, len_client_id, str)) return;
@@ -63,7 +64,13 @@
       MPI_Initialized(&initialized);
       if (initialized) local_comm=MPI_Comm_f2c(*f_local_comm);
-      else local_comm=MPI_COMM_NULL;
+      else local_comm = MPI_COMM_NULL;
+      
+     
+
       CXios::initClientSide(str, local_comm, return_comm);
-      *f_return_comm=MPI_Comm_c2f(return_comm);
+      *f_return_comm = MPI_Comm_c2f(return_comm);
+
+      printf("in icdata.cpp, f_return_comm = %d\n", *f_return_comm);
+
       CTimer::get("XIOS init").suspend();
       CTimer::get("XIOS").suspend();
@@ -79,5 +86,9 @@
      CTimer::get("XIOS init context").resume();
      comm=MPI_Comm_f2c(*f_comm);
+    
      CClient::registerContext(str, comm);
+     
+     //printf("client register context OK\n");
+     
      CTimer::get("XIOS init context").suspend();
      CTimer::get("XIOS").suspend();
@@ -100,5 +111,7 @@
      CTimer::get("XIOS close definition").resume();
      CContext* context = CContext::getCurrent();
+     
      context->closeDefinition();
+     
      CTimer::get("XIOS close definition").suspend();
      CTimer::get("XIOS").suspend();
@@ -109,6 +122,13 @@
      CTimer::get("XIOS").resume();
      CTimer::get("XIOS context finalize").resume();
+     
+     
+     
      CContext* context = CContext::getCurrent();
+     //printf("CContext* context = CContext::getCurrent();\n");
      context->finalize();
+     
+     //printf("client context_finalize OK\n");
+     
      CTimer::get("XIOS context finalize").suspend();
      CTimer::get("XIOS").suspend();
@@ -429,5 +449,7 @@
       CContext* context = CContext::getCurrent();
       if (!context->hasServer && !context->client->isAttachedModeEnabled())
-        context->checkBuffersAndListen();
+      {
+        context->checkBuffersAndListen();
+      }  
 
       CArray<double, 3>data(data_k8, shape(data_Xsize, data_Ysize, data_Zsize), neverDeleteData);
Index: XIOS/dev/branch_yushan/src/interface/c/oasis_cinterface.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/interface/c/oasis_cinterface.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/c/oasis_cinterface.cpp	(revision 1037)
@@ -1,5 +1,5 @@
 #include "oasis_cinterface.hpp"
 #include <string>
-#include "mpi.hpp"
+//#include "mpi_std.hpp"
 
 namespace xios
Index: XIOS/dev/branch_yushan/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/interface/c_attr/icfield_attr.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/c_attr/icfield_attr.cpp	(revision 1037)
@@ -67,56 +67,4 @@
 
 
-  void cxios_set_field_cell_methods(field_Ptr field_hdl, const char * cell_methods, int cell_methods_size)
-  {
-    std::string cell_methods_str;
-    if (!cstr2string(cell_methods, cell_methods_size, cell_methods_str)) return;
-    CTimer::get("XIOS").resume();
-    field_hdl->cell_methods.setValue(cell_methods_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_field_cell_methods(field_Ptr field_hdl, char * cell_methods, int cell_methods_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(field_hdl->cell_methods.getInheritedValue(), cell_methods, cell_methods_size))
-      ERROR("void cxios_get_field_cell_methods(field_Ptr field_hdl, char * cell_methods, int cell_methods_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_field_cell_methods(field_Ptr field_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = field_hdl->cell_methods.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_field_cell_methods_mode(field_Ptr field_hdl, const char * cell_methods_mode, int cell_methods_mode_size)
-  {
-    std::string cell_methods_mode_str;
-    if (!cstr2string(cell_methods_mode, cell_methods_mode_size, cell_methods_mode_str)) return;
-    CTimer::get("XIOS").resume();
-    field_hdl->cell_methods_mode.fromString(cell_methods_mode_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_field_cell_methods_mode(field_Ptr field_hdl, char * cell_methods_mode, int cell_methods_mode_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(field_hdl->cell_methods_mode.getInheritedStringValue(), cell_methods_mode, cell_methods_mode_size))
-      ERROR("void cxios_get_field_cell_methods_mode(field_Ptr field_hdl, char * cell_methods_mode, int cell_methods_mode_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_field_cell_methods_mode(field_Ptr field_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = field_hdl->cell_methods_mode.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_field_compression_level(field_Ptr field_hdl, int compression_level)
   {
@@ -232,30 +180,4 @@
      CTimer::get("XIOS").resume();
      bool isDefined = field_hdl->enabled.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_field_expr(field_Ptr field_hdl, const char * expr, int expr_size)
-  {
-    std::string expr_str;
-    if (!cstr2string(expr, expr_size, expr_str)) return;
-    CTimer::get("XIOS").resume();
-    field_hdl->expr.setValue(expr_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_field_expr(field_Ptr field_hdl, char * expr, int expr_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(field_hdl->expr.getInheritedValue(), expr, expr_size))
-      ERROR("void cxios_get_field_expr(field_Ptr field_hdl, char * expr, int expr_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_field_expr(field_Ptr field_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = field_hdl->expr.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
Index: XIOS/dev/branch_yushan/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1037)
@@ -67,56 +67,4 @@
 
 
-  void cxios_set_fieldgroup_cell_methods(fieldgroup_Ptr fieldgroup_hdl, const char * cell_methods, int cell_methods_size)
-  {
-    std::string cell_methods_str;
-    if (!cstr2string(cell_methods, cell_methods_size, cell_methods_str)) return;
-    CTimer::get("XIOS").resume();
-    fieldgroup_hdl->cell_methods.setValue(cell_methods_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_fieldgroup_cell_methods(fieldgroup_Ptr fieldgroup_hdl, char * cell_methods, int cell_methods_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(fieldgroup_hdl->cell_methods.getInheritedValue(), cell_methods, cell_methods_size))
-      ERROR("void cxios_get_fieldgroup_cell_methods(fieldgroup_Ptr fieldgroup_hdl, char * cell_methods, int cell_methods_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_fieldgroup_cell_methods(fieldgroup_Ptr fieldgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = fieldgroup_hdl->cell_methods.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_fieldgroup_cell_methods_mode(fieldgroup_Ptr fieldgroup_hdl, const char * cell_methods_mode, int cell_methods_mode_size)
-  {
-    std::string cell_methods_mode_str;
-    if (!cstr2string(cell_methods_mode, cell_methods_mode_size, cell_methods_mode_str)) return;
-    CTimer::get("XIOS").resume();
-    fieldgroup_hdl->cell_methods_mode.fromString(cell_methods_mode_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_fieldgroup_cell_methods_mode(fieldgroup_Ptr fieldgroup_hdl, char * cell_methods_mode, int cell_methods_mode_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(fieldgroup_hdl->cell_methods_mode.getInheritedStringValue(), cell_methods_mode, cell_methods_mode_size))
-      ERROR("void cxios_get_fieldgroup_cell_methods_mode(fieldgroup_Ptr fieldgroup_hdl, char * cell_methods_mode, int cell_methods_mode_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_fieldgroup_cell_methods_mode(fieldgroup_Ptr fieldgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = fieldgroup_hdl->cell_methods_mode.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_fieldgroup_compression_level(fieldgroup_Ptr fieldgroup_hdl, int compression_level)
   {
@@ -232,30 +180,4 @@
      CTimer::get("XIOS").resume();
      bool isDefined = fieldgroup_hdl->enabled.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_fieldgroup_expr(fieldgroup_Ptr fieldgroup_hdl, const char * expr, int expr_size)
-  {
-    std::string expr_str;
-    if (!cstr2string(expr, expr_size, expr_str)) return;
-    CTimer::get("XIOS").resume();
-    fieldgroup_hdl->expr.setValue(expr_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_fieldgroup_expr(fieldgroup_Ptr fieldgroup_hdl, char * expr, int expr_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(fieldgroup_hdl->expr.getInheritedValue(), expr, expr_size))
-      ERROR("void cxios_get_fieldgroup_expr(fieldgroup_Ptr fieldgroup_hdl, char * expr, int expr_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_fieldgroup_expr(fieldgroup_Ptr fieldgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = fieldgroup_hdl->expr.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
Index: XIOS/dev/branch_yushan/src/interface/c_attr/icinterpolate_domain_attr.cpp
===================================================================
--- XIOS/dev/branch_yushan/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1037)
@@ -18,25 +18,25 @@
   typedef xios::CInterpolateDomain* interpolate_domain_Ptr;
 
-  void cxios_set_interpolate_domain_mode(interpolate_domain_Ptr interpolate_domain_hdl, const char * mode, int mode_size)
+  void cxios_set_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, const char * file, int file_size)
   {
-    std::string mode_str;
-    if (!cstr2string(mode, mode_size, mode_str)) return;
+    std::string file_str;
+    if (!cstr2string(file, file_size, file_str)) return;
     CTimer::get("XIOS").resume();
-    interpolate_domain_hdl->mode.fromString(mode_str);
+    interpolate_domain_hdl->file.setValue(file_str);
     CTimer::get("XIOS").suspend();
   }
 
-  void cxios_get_interpolate_domain_mode(interpolate_domain_Ptr interpolate_domain_hdl, char * mode, int mode_size)
+  void cxios_get_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, char * file, int file_size)
   {
     CTimer::get("XIOS").resume();
-    if (!string_copy(interpolate_domain_hdl->mode.getInheritedStringValue(), mode, mode_size))
-      ERROR("void cxios_get_interpolate_domain_mode(interpolate_domain_Ptr interpolate_domain_hdl, char * mode, int mode_size)", << "Input string is too short");
+    if (!string_copy(interpolate_domain_hdl->file.getInheritedValue(), file, file_size))
+      ERROR("void cxios_get_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl, char * file, int file_size)", << "Input string is too short");
     CTimer::get("XIOS").suspend();
   }
 
-  bool cxios_is_defined_interpolate_domain_mode(interpolate_domain_Ptr interpolate_domain_hdl)
+  bool cxios_is_defined_interpolate_domain_file(interpolate_domain_Ptr interpolate_domain_hdl)
   {
      CTimer::get("XIOS").resume();
-     bool isDefined = interpolate_domain_hdl->mode.hasInheritedValue();
+     bool isDefined = interpolate_domain_hdl->file.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
@@ -88,52 +88,3 @@
      return isDefined;
   }
-
-
-  void cxios_set_interpolate_domain_weight_filename(interpolate_domain_Ptr interpolate_domain_hdl, const char * weight_filename, int weight_filename_size)
-  {
-    std::string weight_filename_str;
-    if (!cstr2string(weight_filename, weight_filename_size, weight_filename_str)) return;
-    CTimer::get("XIOS").resume();
-    interpolate_domain_hdl->weight_filename.setValue(weight_filename_str);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_interpolate_domain_weight_filename(interpolate_domain_Ptr interpolate_domain_hdl, char * weight_filename, int weight_filename_size)
-  {
-    CTimer::get("XIOS").resume();
-    if (!string_copy(interpolate_domain_hdl->weight_filename.getInheritedValue(), weight_filename, weight_filename_size))
-      ERROR("void cxios_get_interpolate_domain_weight_filename(interpolate_domain_Ptr interpolate_domain_hdl, char * weight_filename, int weight_filename_size)", << "Input string is too short");
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_interpolate_domain_weight_filename(interpolate_domain_Ptr interpolate_domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = interpolate_domain_hdl->weight_filename.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_interpolate_domain_write_weight(interpolate_domain_Ptr interpolate_domain_hdl, bool write_weight)
-  {
-    CTimer::get("XIOS").resume();
-    interpolate_domain_hdl->write_weight.setValue(write_weight);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_interpolate_domain_write_weight(interpolate_domain_Ptr interpolate_domain_hdl, bool* write_weight)
-  {
-    CTimer::get("XIOS").resume();
-    *write_weight = interpolate_domain_hdl->write_weight.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_interpolate_domain_write_weight(interpolate_domain_Ptr interpolate_domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = interpolate_domain_hdl->write_weight.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
 }
Index: XIOS/dev/branch_yushan/src/interface/fortran/idata.F90
===================================================================
--- XIOS/dev/branch_yushan/src/interface/fortran/idata.F90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/fortran/idata.F90	(revision 1037)
@@ -465,4 +465,5 @@
    INTEGER :: f_return_comm
 
+
       IF (PRESENT(local_comm)) THEN
         f_local_comm=local_comm
@@ -472,4 +473,8 @@
 
       CALL cxios_init_client(client_id,LEN(client_id),f_local_comm,f_return_comm)
+      
+      
+      !print*, "in fortran, world_f = ", MPI_COMM_WORLD 
+      print*, "in fortran, f_return_comm = ", f_return_comm 
 
       IF (PRESENT(return_comm)) return_comm=f_return_comm
Index: XIOS/dev/branch_yushan/src/interface/fortran_attr/field_interface_attr.F90
===================================================================
--- XIOS/dev/branch_yushan/src/interface/fortran_attr/field_interface_attr.F90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/fortran_attr/field_interface_attr.F90	(revision 1037)
@@ -50,46 +50,4 @@
 
 
-    SUBROUTINE cxios_set_field_cell_methods(field_hdl, cell_methods, cell_methods_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_size
-    END SUBROUTINE cxios_set_field_cell_methods
-
-    SUBROUTINE cxios_get_field_cell_methods(field_hdl, cell_methods, cell_methods_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_size
-    END SUBROUTINE cxios_get_field_cell_methods
-
-    FUNCTION cxios_is_defined_field_cell_methods(field_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_cell_methods
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-    END FUNCTION cxios_is_defined_field_cell_methods
-
-
-    SUBROUTINE cxios_set_field_cell_methods_mode(field_hdl, cell_methods_mode, cell_methods_mode_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods_mode
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_mode_size
-    END SUBROUTINE cxios_set_field_cell_methods_mode
-
-    SUBROUTINE cxios_get_field_cell_methods_mode(field_hdl, cell_methods_mode, cell_methods_mode_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods_mode
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_mode_size
-    END SUBROUTINE cxios_get_field_cell_methods_mode
-
-    FUNCTION cxios_is_defined_field_cell_methods_mode(field_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_cell_methods_mode
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-    END FUNCTION cxios_is_defined_field_cell_methods_mode
-
-
     SUBROUTINE cxios_set_field_compression_level(field_hdl, compression_level) BIND(C)
       USE ISO_C_BINDING
@@ -189,25 +147,4 @@
 
 
-    SUBROUTINE cxios_set_field_expr(field_hdl, expr, expr_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: expr
-      INTEGER  (kind = C_INT)     , VALUE        :: expr_size
-    END SUBROUTINE cxios_set_field_expr
-
-    SUBROUTINE cxios_get_field_expr(field_hdl, expr, expr_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: expr
-      INTEGER  (kind = C_INT)     , VALUE        :: expr_size
-    END SUBROUTINE cxios_get_field_expr
-
-    FUNCTION cxios_is_defined_field_expr(field_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_field_expr
-      INTEGER (kind = C_INTPTR_T), VALUE :: field_hdl
-    END FUNCTION cxios_is_defined_field_expr
-
-
     SUBROUTINE cxios_set_field_field_ref(field_hdl, field_ref, field_ref_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/dev/branch_yushan/src/interface/fortran_attr/fieldgroup_interface_attr.F90
===================================================================
--- XIOS/dev/branch_yushan/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/interface/fortran_attr/fieldgroup_interface_attr.F90	(revision 1037)
@@ -50,46 +50,4 @@
 
 
-    SUBROUTINE cxios_set_fieldgroup_cell_methods(fieldgroup_hdl, cell_methods, cell_methods_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_size
-    END SUBROUTINE cxios_set_fieldgroup_cell_methods
-
-    SUBROUTINE cxios_get_fieldgroup_cell_methods(fieldgroup_hdl, cell_methods, cell_methods_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_size
-    END SUBROUTINE cxios_get_fieldgroup_cell_methods
-
-    FUNCTION cxios_is_defined_fieldgroup_cell_methods(fieldgroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_cell_methods
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-    END FUNCTION cxios_is_defined_fieldgroup_cell_methods
-
-
-    SUBROUTINE cxios_set_fieldgroup_cell_methods_mode(fieldgroup_hdl, cell_methods_mode, cell_methods_mode_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods_mode
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_mode_size
-    END SUBROUTINE cxios_set_fieldgroup_cell_methods_mode
-
-    SUBROUTINE cxios_get_fieldgroup_cell_methods_mode(fieldgroup_hdl, cell_methods_mode, cell_methods_mode_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: cell_methods_mode
-      INTEGER  (kind = C_INT)     , VALUE        :: cell_methods_mode_size
-    END SUBROUTINE cxios_get_fieldgroup_cell_methods_mode
-
-    FUNCTION cxios_is_defined_fieldgroup_cell_methods_mode(fieldgroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_cell_methods_mode
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-    END FUNCTION cxios_is_defined_fieldgroup_cell_methods_mode
-
-
     SUBROUTINE cxios_set_fieldgroup_compression_level(fieldgroup_hdl, compression_level) BIND(C)
       USE ISO_C_BINDING
@@ -189,25 +147,4 @@
 
 
-    SUBROUTINE cxios_set_fieldgroup_expr(fieldgroup_hdl, expr, expr_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: expr
-      INTEGER  (kind = C_INT)     , VALUE        :: expr_size
-    END SUBROUTINE cxios_set_fieldgroup_expr
-
-    SUBROUTINE cxios_get_fieldgroup_expr(fieldgroup_hdl, expr, expr_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: expr
-      INTEGER  (kind = C_INT)     , VALUE        :: expr_size
-    END SUBROUTINE cxios_get_fieldgroup_expr
-
-    FUNCTION cxios_is_defined_fieldgroup_expr(fieldgroup_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_fieldgroup_expr
-      INTEGER (kind = C_INTPTR_T), VALUE :: fieldgroup_hdl
-    END FUNCTION cxios_is_defined_fieldgroup_expr
-
-
     SUBROUTINE cxios_set_fieldgroup_field_ref(fieldgroup_hdl, field_ref, field_ref_size) BIND(C)
       USE ISO_C_BINDING
